package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.recuritment.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class BeisenTransferPhaseFacade extends AbstractBizCtrl implements IBeisenTransferPhaseFacade
{
    public BeisenTransferPhaseFacade()
    {
        super();
        registerInterface(IBeisenTransferPhaseFacade.class, this);
    }
    public BeisenTransferPhaseFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IBeisenTransferPhaseFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("49A51C3B");
    }
    private BeisenTransferPhaseFacadeController getController() throws BOSException
    {
        return (BeisenTransferPhaseFacadeController)getBizController();
    }
    /**
     *同步录用报批状态到北森-User defined method
     *@param billId 单据id
     *@param preponeHours 提前小时数
     */
    public void syncRecApprovalToBeisen(String billId, int preponeHours) throws BOSException, EASBizException
    {
        try {
            getController().syncRecApprovalToBeisen(getContext(), billId, preponeHours);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *同步offer状态到北森-User defined method
     *@param billId offer单据id
     *@param preponeHours 提前小时数
     */
    public void syncOfferToBeisen(String billId, int preponeHours) throws BOSException, EASBizException
    {
        try {
            getController().syncOfferToBeisen(getContext(), billId, preponeHours);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}